<meta http-equiv="X-UA-Compatible" charset="UTF-8">
<!doctype html>
<html>
  <!-- Copyright (C) 2022, 2023, 2024 Rob Wieringa <rma.wieringa@gmail.com>

  This file is part of Depyct.
  Depyct offers Dezyne web views based on Scalable Vector Graphics (SVG)

  Depyct is free software, it is distributed under the terms of
  the GNU General Public Licence version 3 or later.
  See <http://www.gnu.org/licenses/>. -->
  <head>
    <title>State Diagram Help</title>
    <style>
      * { font-family: arial }
      h3 { font-size: 1.1rem }
      table { border-collapse: collapse; width: 100%; font-size: 1rem }
      tr { border-bottom: 1px solid #CCCCCC; }
      tr:hover {background-color: #DDEEFF;}
      td { padding: 4px; }
      td:first-child { width: 30%; }
      td.ind { text-indent: 20px; }
    </style>
  </head>
  <body>
    <h3>help</h3>
    <table>
      <tr><td>F1 or ?</td><td>open this help page</td></tr>
    </table>
    <h3>zooming and scrolling</h3>
    <table>
      <tr><td>ctrl mouse scroll</td><td>zoom in or out around the mouse pointer location</td></tr>
      <tr><td>ctrl +</td><td>zoom in around the mouse pointer location</td></tr>
      <tr><td>ctrl -</td><td>zoom out around the mouse pointer location</td></tr>
      <tr><td>ctrl 1</td><td>reset the zoom factor to 1</td></tr>
      <tr><td>ctrl 0</td><td>zoom such that the whole diagram fits on the canvas</td></tr>
      <tr><td>mouse scroll</td><td>scroll the diagram up or down</td></tr>
      <tr><td>shift mouse scroll</td><td>scroll the diagram left or right</td></tr>
      <tr><td>shift down arrow</td><td>scroll the diagram down</td></tr>
      <tr><td>shift up arrow</td><td>scroll the diagram up</td></tr>
      <tr><td>shift right arrow</td><td>scroll the diagram right</td></tr>
      <tr><td>shift left arrow</td><td>scroll the diagram left</td></tr>
    </table>
    <h3>dragging</h3>
    <table>
      <tr><td>mouse drag element</td><td>drag the element</td></tr>
      <tr><td>ctrl mouse drag</td><td>drag the canvas</td></tr>
    </table>
    <h3>layouting</h3>
    <table>
      <tr><td>esc</td><td>toggle automatic layouting</td></tr>
    </table>
    <h3>selecting</h3>
    <table>
      <tr><td>mouse click element</td><td>select the element and send its file location to the IDE<br>highlight all directly reachable node</td></tr>
      <tr><td>mouse click canvas</td><td>deselect any element</td></tr>
      <tr><td>.</td><td>select the initial state</td></tr>
    </table>
    <h3>filtering</h3>
    <table>
      <tr><td>s</td><td>toggle hiding self transitions</td></tr>
    </table>
    <h3>save</h3>
    <table>
      <tr><td>ctrl s</td><td>save the diagram as an svg file</td></tr>
    </table>
  </body>
</html>
